/*
 * Copyright 2009 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.isam;

/**
 * Class Key0 represent a key with index 0 in the ISAM file.
 */
public class Key0<T> extends Key<T> {
    private static final long serialVersionUID = 1L;
    /**
	 * Create instance of Key0.
	 * @param value key value
	 */
	public Key0(T value) {
	    super(0, value);
	}
}
