/*
 * Copyright 2009 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.isam.remote;

import dk.vajhoej.isam.IsamException;
import dk.vajhoej.isam.IsamSource;
import dk.vajhoej.record.RecordException;

/**
 * Interface IsamProtocolServer defines the API for remote ISAM sources servers.
 * This interface is not intended for use by applications.
 */
public interface IsamProtocolServer extends IsamProtocol {
    /**
     * Process all incoming commands.
     * @param isam ISAM source
     * @throws IsamException if problems with ISAM source
     * @throws RecordException if problems with record definition
     */
    public void process(IsamSource isam) throws IsamException, RecordException;
}
